Inhalte

# Operator XOR

Führt eine logische Exklusiv-Oder-Verknüpfung zwischen zwei Ausdrücken durch.

## Syntax:

    Ergebnis = Ausdruck1 XOR Ausdruck2

## Parameter:

Ergebnis: Eine beliebige numerische Variable, die das Ergebnis der Verknüpfung aufnimmt.

Ausdruck1, Ausdruck2: Beliebige zu kombinierende numerische Ausdrücke.

Eine Verknüpfung zweier boolescher Ausdrücke mittels logischem exklusiven ODER gibt nur dann den Wert "True" zurück, wenn sich die beiden Ausdrücke voneinander unterscheiden.

Bei einer bitweisen Exklusiv-ODER-Verknüpfung ist ein Bit im Ergebnis gesetzt, wenn das entsprechende Bit bei nur einem der beiden Ausdrücke gesetzt ist.

## Beispiel:

    Sub ExampleXOR
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = vA > vB XOR vB > vC ' Liefert 0 zurück
        vOut = vB > vA XOR vB > vC ' liefert -1 zurück
        vOut = vA > vB XOR vB > vD ' liefert -1 zurück
        vOut = (vB > vD XOR vB > vA) ' liefert 0 zurück
        vOut = vB XOR vA ' liefert 2 zurück
    End Sub